AbstractSshMessage (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.ssh.AbstractSshMessage,AbstractSshMessage class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ssh
Class AbstractSshMessage

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.ssh.AbstractSshMessage

Direct Known Subclasses:
  ScpFromMessage, ScpToMessage

public abstract class AbstractSshMessage
extends java.lang.Object

Constructor Summary
`AbstractSshMessage(boolean verbose, com.jcraft.jsch.Session session)`
`AbstractSshMessage(com.jcraft.jsch.Session session)`

Method Summary
`abstract void` | `execute()`
`protected boolean` | `getVerbose()`
`protected void` | `log(java.lang.String message)`
`protected void` | `logStats(long timeStarted, long timeEnded, int totalLength)`
`protected com.jcraft.jsch.Channel` | `openExecChannel(java.lang.String command)`
`protected void` | `sendAck(java.io.OutputStream out)`
`void` | `setLogListener(LogListener aListener)`
`protected int` | `trackProgress(int filesize, int totalLength, int percentTransmitted)`
`protected void` | `waitForAck(java.io.InputStream in)` Reads the response, throws a BuildException if the response indicates an error.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSshMessage

    public AbstractSshMessage(com.jcraft.jsch.Session session)

### AbstractSshMessage

    public AbstractSshMessage(boolean verbose,
                              com.jcraft.jsch.Session session)

Since:
  Ant 1.6.2

Method Detail

### openExecChannel

    protected com.jcraft.jsch.Channel openExecChannel(java.lang.String command)
                                               throws com.jcraft.jsch.JSchException

    `com.jcraft.jsch.JSchException`

### sendAck

    protected void sendAck(java.io.OutputStream out)
                    throws java.io.IOException

    `java.io.IOException`

### waitForAck

    protected void waitForAck(java.io.InputStream in)
                       throws java.io.IOException,
                              BuildException

  Reads the response, throws a BuildException if the response indicates an error.

    `java.io.IOException`
    `BuildException`

### execute

    public abstract void execute()
                          throws java.io.IOException,
                                 com.jcraft.jsch.JSchException

    `java.io.IOException`
    `com.jcraft.jsch.JSchException`

### setLogListener

    public void setLogListener(LogListener aListener)

### log

    protected void log(java.lang.String message)

### logStats

    protected void logStats(long timeStarted,
                            long timeEnded,
                            int totalLength)

### getVerbose

    protected final boolean getVerbose()

  Since:
    Ant 1.6.2

### trackProgress

    protected final int trackProgress(int filesize,
                                      int totalLength,
                                      int percentTransmitted)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.